package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC以太网共享适配器
 * 
 * @author LuYanChao
 */
@Deprecated
@Table("hmc_share_ethernet_adapter")
public class HmcShareEthernetAdapter extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID

    @Column("server_id")
    private Long serverId; // 主机id，对应表hmc_server的id字段

    @Column("partition_id")
    private Long partitionId; // 分区id，对应表hmc_partition的id字段

    @Column("physical_ethernet_adapter_id")
    private Long physicalEthernetAdapterId; // 物理以太网适配器id，对应表hmc_physical_ethernet_adapter的id字段

    @Column("partition_network_adapter_id")
    private Long partitionNetworkAdapterId; // 虚拟以太网适配器id，对应表hmc_partition_network_adapter的id字段

    @Column("vlan_id")
    private Integer vlanId; // vlanId

    @Column("ip_interface_name")
    private String ip_interface_name; // 网络接口名称

    @Column("ip_interface_status")
    private String ip_interface_status; // 网络接口状态

    @Column("ip_address")
    private String ip_address; // IP地址

    @Column("subnet_mask")
    private String subnetMask; // 子网掩码

    @Column("unique_device_id")
    private String uniqueDeviceId; //　设备唯一id

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }

    public Long getPartitionId() {
        return partitionId;
    }

    public void setPartitionId(Long partitionId) {
        this.partitionId = partitionId;
    }

    public Long getPhysicalEthernetAdapterId() {
        return physicalEthernetAdapterId;
    }

    public void setPhysicalEthernetAdapterId(Long physicalEthernetAdapterId) {
        this.physicalEthernetAdapterId = physicalEthernetAdapterId;
    }

    public Long getPartitionNetworkAdapterId() {
        return partitionNetworkAdapterId;
    }

    public void setPartitionNetworkAdapterId(Long partitionNetworkAdapterId) {
        this.partitionNetworkAdapterId = partitionNetworkAdapterId;
    }

    public Integer getVlanId() {
        return vlanId;
    }

    public void setVlanId(Integer vlanId) {
        this.vlanId = vlanId;
    }

    public String getIp_interface_name() {
        return ip_interface_name;
    }

    public void setIp_interface_name(String ip_interface_name) {
        this.ip_interface_name = ip_interface_name;
    }

    public String getIp_interface_status() {
        return ip_interface_status;
    }

    public void setIp_interface_status(String ip_interface_status) {
        this.ip_interface_status = ip_interface_status;
    }

    public String getIp_address() {
        return ip_address;
    }

    public void setIp_address(String ip_address) {
        this.ip_address = ip_address;
    }

    public String getSubnetMask() {
        return subnetMask;
    }

    public void setSubnetMask(String subnetMask) {
        this.subnetMask = subnetMask;
    }

    public String getUniqueDeviceId() {
        return uniqueDeviceId;
    }

    public void setUniqueDeviceId(String uniqueDeviceId) {
        this.uniqueDeviceId = uniqueDeviceId;
    }
}
